<!DOCTYPE html>
<html lang="de">
	<head>
		<meta charset="utf-8" />
		<title>WED1 - HTML: Übungen</title>
		<meta name="robots" content="noindex, nofollow" />
		<link rel="icon" href="./HSR.Template.Exercises/icon-document.png" type="image/png">

		<link rel="stylesheet" type="text/css" href="./HSR.Template.Exercises/documentStyle.css">
	</head>
	<body>
		<h1>
			WED1 - JavaScript Übungen
		</h1>

		<h2>Ziele der Übung</h2>
		<p>In der Vorlesung behandelte Aspekte vertiefen.</p>


		<h2>Allgemeine Hinweise</h2>
		<ul>
			<li>Kopieren Sie die Aufgaben auf ihren Rechner und arbeiten Sie nicht direkt vom Skripte-Server aus.</li>
			<li>
				<img data-type="icon-difficult" alt="Icon difficult" src="./HSR.Template.Exercises/mind.svg" />
				kennzeichnet Aufgaben für Fortgeschrittene oder zusätzliche Informationen zum Thema innerhalb der Lösungen.
				Diese Inhalte sind nicht Prüfungsrelevant.
				Lösen Sie diese Aufgaben nachdem Sie alle andern Aufgaben und Testate gelöst haben.</li>
			<li>Benutzen Sie <strong>Chrome, Internet Explorer oder Firefox</strong> mit <strong>eigebauten Developer Tools</strong>.</li>
			<li>Wenn Sie keinen einfachen Editor wie Atom nutzen wollen,
				macht es Sinn, <strong>WebStorm</strong> zu installieren
				(oder alternativ mit <strong>Eclipse</strong> oder <strong>VisualStudio</strong> zu arbeiten).</li>
			<li>Wenn Sie sich bei <strong>JetBrains</strong> mit Ihrer HSR-Mailadresse registrieren,
				erhalten Sie die <strong>Vollversion</strong> aller Produkte inkl. WebStorm:
				<a href="https://www.jetbrains.com/student/" target="_blank">jetbrains.com/student/</a>.
				Klicken Sie dazu unten auf der Seite "Apply Now" und registrieren Sie sich als Student.</li>
			<li>Verwenden Sie als Nachschlagewerk die <strong>Selfhtml-Dokumentation (<a href="http://wiki.selfhtml.org/" target="_blank">wiki.selfhtml.org</a>)</strong>.</li>
		</ul>


		<h2>Übungen</h2>
		<ol>
			<li><a href="1-Introduction/index.html">Woche 1 - JS Einführung</a></li>
			<li><a href="2-JavaScript-Advanced/index.html">Woche 2 - JS Advanced</a></li>
		</ol>
	</body>
</html>
